Delete task schedules

PATCH
/api/v1/tasks/{id}/schedules/delete

Delete multiple task schedules based on their unique identifiers.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the task whose schedules are to be deleted.

Formatuuid

Request Body

application/json

A list of IDs of the schedules to delete.

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/delete" \  -H "Content-Type: application/json" \  -d '[    "497f6eca-6276-4993-bfeb-53cbbbba6f08"  ]'
"string"